Subject: Re: Pushing out Cygwin installations
From: Christopher Faylor <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Jan 2001 13:21:02 -0500

On Thu, Jan 11, 2001 at 12:41:51PM -0500, Danko, Gary wrote:
>Okay let me get this straight. :)
>
>Got a plain vanilla install.  Copy the Cygwin directory to the new server.
>Create the mount points and I am done?
>
>Do I need to copy HKLM\Software\Cygnus Solutions ???
>
>Oh, I tried to run mount.. Here's what happened.
>
>bash-2.04$ pwd
>/cygwin/bin
>bash-2.04$ ./mount
>Device              Directory           Type         Flags
>bash-2.04$ ./mount d:\cygwin /
>./mount: /: Invalid argument
>bash-2.04$

Bash is a UNIX shell.  '\' is a quoting character in bash.

So, your options are:

1) Don't run the command from bash.

2) Use a '/':

./mount d:/cygwin /

3) Double the backslashes:

./mount d:\\cygwin /

4) Quote the first argument:

./mount 'd:\cygwin' /

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple